Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Add back http-types 0.8 support #449

Closed
wants to merge 1 commit into from

Conversation

Projects
None yet
2 participants
@snoyberg
Copy link
Member

commented Oct 13, 2015

Reason: many packages do not yet support http-types 0.9. This increased
lower bound causes many imcompatibility issues on Hackage. I'd like to
get this merged and released ASAP if there are no objection.

Pinging @kazu-yamamoto

Add back http-types 0.8 support
Reason: many packages do not yet support http-types 0.9. This increased
lower bound causes many imcompatibility issues on Hackage. I'd like to
get this merged and released ASAP if there are no objection.
@kazu-yamamoto

This comment has been minimized.

Copy link
Contributor

commented Oct 13, 2015

What about 7d5fc77?

@snoyberg

This comment has been minimized.

Copy link
Member Author

commented Oct 13, 2015

That works, it just seems much more involved than using the original approach of a string literal. I'm OK with whatever you prefer using.

kazu-yamamoto added a commit that referenced this pull request Oct 14, 2015

@kazu-yamamoto

This comment has been minimized.

Copy link
Contributor

commented Oct 14, 2015

Yes, my patch is vocal a bit but I prefer this to not forget the feature job.

@kazu-yamamoto

This comment has been minimized.

Copy link
Contributor

commented Oct 14, 2015

Tested both with http-types 0.9 and 0.8.6. All tests on Travis CI are passed. I have released a new version.

@snoyberg snoyberg removed the in progress label Oct 14, 2015

@kazu-yamamoto kazu-yamamoto deleted the old-http-types-support branch Dec 9, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.